Bug 869152 - Review Request: openlmi-providers - Set of basic CIM providers
Review Request: openlmi-providers - Set of basic CIM providers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 03:17 EDT by Radek Novacek
Modified: 2016-11-30 19:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:40:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jsafrane: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Radek Novacek 2012-10-23 03:17:43 EDT
This is a re-review, original name is cura-providers.

Spec URL: http://rnovacek.fedorapeople.org/openlmi-providers.spec
SRPM URL: http://rnovacek.fedorapeople.org/openlmi-providers-0.0.10-1.fc17.src.rpm
Description: openlmi-providers is set of (usually) small CMPI providers (agents) for basic monitoring and management of host system using Common Information Model (CIM).
Fedora Account System Username: rnovacek
Comment 1 Jan Safranek 2012-10-23 05:14:30 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated

===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[X]: Package does not contain kernel modules.
[X]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[X]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
  Unversioned so-files are CMPI modules for OpenPegasus or SFCB

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[X]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[X]: Package contains no bundled libraries.
[X]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[X]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[X]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[X]: Development files must be in a -devel package
[X]: Package requires other packages for directories it uses.
[X]: Package uses nothing in %doc for runtime.
[X]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[X]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package -n
     openlmi-software, %package devel, %package -n openlmi-fan, %package -n
     openlmi-service, %package -n openlmi-powermanagement, %package -n
     openlmi-account
  Seems to be false warning, "Requires: %{name}%{?_isa} = %{version}-%{release}" is
  in the subpackages.
[X]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /home/jsafrane/rpm/SPECS/869152-openlmi-providers/licensecheck.txt
[X]: License file installed when any subpackage combination is installed.
[X]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[X]: Package obeys FHS, except libexecdir and /usr/target.
[X]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Package must own all directories that it creates.
[X]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[-]: Package is not relocatable.
[X]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
  There is missing man page for openlmi-mof-register, please provide one in
  next release.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[X]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[X]: Useful -debuginfo package or justification otherwise.

Python:
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[X]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[X]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[X]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (openlmi-providers-0.0.10.tar.gz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: openlmi-providers-0.0.10-1.fc19.src.rpm
          openlmi-providers-devel-0.0.10-1.fc19.x86_64.rpm
          openlmi-providers-0.0.10-1.fc19.x86_64.rpm
          openlmi-providers-debuginfo-0.0.10-1.fc19.x86_64.rpm
openlmi-providers-devel.x86_64: W: no-documentation
openlmi-providers.x86_64: W: no-manual-page-for-binary openlmi-mof-register
4 packages and 0 specfiles checked; 0 errors, 2 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint openlmi-providers-devel openlmi-providers openlmi-providers-debuginfo
openlmi-providers-devel.x86_64: W: no-documentation
openlmi-providers.x86_64: W: no-manual-page-for-binary openlmi-mof-register
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 869152 -m fedora-devel-x86_64
Comment 2 Jan Safranek 2012-10-23 05:16:04 EDT
So, the only glitch I see is missing man page for openlmi-mof-register, please notify upstream to create one :).

Otherwise, the review is fine and I approve the package.
Comment 3 Radek Novacek 2012-10-23 08:44:22 EDT
New Package SCM Request
=======================
Package Name: openlmi-providers
Short Description: Set of basic CIM providers
Owners: rnovacek
Branches: f17 f18
InitialCC:
Comment 4 Gwyn Ciesla 2012-10-23 09:11:44 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-10-24 02:45:49 EDT
openlmi-providers-0.0.10-1.fc18, openlmi-storage-0.4.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-16750/openlmi-storage-0.4.0-2.fc18,openlmi-providers-0.0.10-1.fc18
Comment 6 Fedora Update System 2012-10-24 03:04:51 EDT
openlmi-providers-0.0.10-1.fc17, openlmi-storage-0.4.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-16769/openlmi-storage-0.4.0-2.fc17,openlmi-providers-0.0.10-1.fc17
Comment 7 Fedora Update System 2012-10-24 12:18:02 EDT
Package openlmi-providers-0.0.10-1.fc18, openlmi-storage-0.4.0-2.fc18, openlmi-networking-0.0.5-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openlmi-providers-0.0.10-1.fc18 openlmi-storage-0.4.0-2.fc18 openlmi-networking-0.0.5-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16750/openlmi-storage-0.4.0-2.fc18,openlmi-providers-0.0.10-1.fc18,openlmi-networking-0.0.5-1.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-12-20 10:41:00 EST
openlmi-storage-0.4.0-2.fc18, konkretcmpi-0.8.7-7.fc18, openlmi-networking-0.0.5-3.fc18, openlmi-providers-0.0.12-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.